Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Storage::Exception on upgrade from Leap 42.3, full freeze

  1. #1

    Default Storage::Exception on upgrade from Leap 42.3, full freeze

    System:
    Motherboard: ASUS STRIX B-350 F.
    Processor: AMD Ryzen 7 1800X.
    System disk: Samsung 960 Pro 512 GB M.2 PCIe SSD


    On upgrading from Leap 42.3 to Leap 15, after choice of language, keyboard etc, the install software presents a suggested partition to upgrade: /dev/nvme0n1p1. This is correct. On confirmation, the install software reports an error:
    Storage::Exception
    and says it's important to report it as a bug. Then everything freezes, and it is necessary to press the hardware reboot button.
    The error is 100 % reproducible.
    I did two upgrades on different hardware with no problem.
    The earlier upgrade to Leap 42.3 from 42.2 on the same hardware went without problems.

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,673
    Blog Entries
    3

    Default Re: Storage::Exception on upgrade from Leap 42.3, full freeze

    Quote Originally Posted by oleb View Post
    The earlier upgrade to Leap 42.3 from 42.2 on the same hardware went without problems.
    The installer for Leap 15.0 uses a new version of the partitioner. So what happened with 42.3 is not particularly relevant.

    That's why they want a bug report with logs. Unfortunately, if your system freezes at that point, it might be hard to provide the logs.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  3. #3

    Default Re: Storage::Exception on upgrade from Leap 42.3, full freeze

    Hi,
    Thanks.
    I tried to register a bug report with bugzilla, but it failed. With Firefox it said:
    "Secure Connection Failed. The connection to the server was reset while the page was loading.
    The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
    Please contact the website owners to inform them of this problem."
    With Chromium it said I wasn't allowed to post it.

    Any idea what information I could get out of the system? There is (I think) a possible window before I accept the choice (but than it hasn't yet happened).

    I mentioned 42.3 in case the information could be used.

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,775

    Default Re: Storage::Exception on upgrade from Leap 42.3, full freeze

    There is another (Tumbleweed) one here: https://forums.opensuse.org/showthre...rage-Exception
    Henk van Velden

  5. #5

    Default Re: Storage::Exception on upgrade from Leap 42.3, full freeze

    Thank you for the Tumbleweed tip.
    However, it seems he had done some changes to the boot loader before upgrading, and then got problems with booting. In my case, the upgrade system freezes on choosing the partition to upgrade, and nothing happens to my computer, which afterwards boots to 42.3 without any problems (except not being upgraded).
    I thought the problem might have to do with the system partition being on the new, ultra fast Samsung SSD.

    What is the opinion on changing all the software repositories to Leap 15.0 versions and then doing zypper dup?
    Is it the same as running the DVD and doing upgrade?
    Any other suggestions?

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,775

    Default Re: Storage::Exception on upgrade from Leap 42.3, full freeze

    Quote Originally Posted by oleb View Post

    What is the opinion on changing all the software repositories to Leap 15.0 versions and then doing zypper dup?
    Is it the same as running the DVD and doing upgrade?
    Any other suggestions?
    IMO it is even better because you have then all packages available during upgrading, while when using the DVD there will be less and thus an extra update to replace those might be needed. Also, while you then have the Update repos also available, you will get what is updated (security and recommended) directly.

    But take care. During that zypper dup disable all non-official repos and add the new 15.0 of those later do update to them so you can decide which comes from where (e.g. when using Packman).

    In any case, may here (including me) did that with success.
    Henk van Velden

  7. #7

    Default Re: Storage::Exception on upgrade from Leap 42.3, full freeze

    Quote Originally Posted by oleb View Post
    I tried to register a bug report with bugzilla, but it failed. With Firefox it said:
    "Secure Connection Failed. The connection to the server was reset while the page was loading.
    The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
    Please contact the website owners to inform them of this problem."
    With Chromium it said I wasn't allowed to post it.
    Today I succeeded in registering a bug, no. 1096414. No idea why it did not work yesterday.

  8. #8
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,673
    Blog Entries
    3

    Default Re: Storage::Exception on upgrade from Leap 42.3, full freeze

    Quote Originally Posted by oleb View Post
    I tried to register a bug report with bugzilla, but it failed. With Firefox it said:
    "Secure Connection Failed.
    There's a banner at the top of the forum page about down time. It is my impression that they have been having some technical problems causing slowness and connection issues for the forum and perhaps also for bugzilla. Maybe those problems are related to why you have that failure.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  9. #9

    Default Re: Storage::Exception on upgrade from Leap 42.3, full freeze

    Some more information from the error message.

    Internal error. Details: Storage::Exception
    Caller: /mounts/mp_0001/usr/share/YaST2/lib/y2storage/storage_class_wrapper. rb:260:in 'find_by_any_name'
    Calling YaST module 'inst_update_partition' has failed.
    More info near end of /var/log/YaST2/y2log

    I could open a terminal after the error message came (ctrl-alt-F2), and found that the partition to be upgraded was mounted.

  10. #10

    Default Re: Storage::Exception on upgrade from Leap 42.3, full freeze

    Quote Originally Posted by hcvv View Post
    IMO it is even better because you have then all packages available during upgrading, while when using the DVD there will be less and thus an extra update to replace those might be needed. Also, while you then have the Update repos also available, you will get what is updated (security and recommended) directly.

    But take care. During that zypper dup disable all non-official repos and add the new 15.0 of those later do update to them so you can decide which comes from where (e.g. when using Packman).

    In any case, many here (including me) did that with success.
    Thank you for the advice.
    Is there any difference between doing the upgrade by 'zypper dup' and through Yast (by clicking the option of 'changing the system to this packet repository', sorry, don't quite remember the wording)?
    Also, as I use the Nvidia proprietary graphics driver, it would probably be ok to enable that repo in addition to the official repos?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •